GET /api/v3/energyStar/submissionStatus

Retrieves ENERGY STAR submission status for places by submission period

GetEnergyStarSubmissionStatusListV3 Permissions: ENERGYSTARSubmissions (Run)

Use this endpoint to check which places are ready to submit, have already been submitted, or have incomplete data for a given period range. Status values:

  • Submitted: Data has been submitted and no bills modified since.
  • No Data: No submission exists and no billing data for the period.
  • Incomplete: No submission and billing data is incomplete (some meters/days missing).
  • Ready: Billing data is complete and ready to submit, or has been modified since last submission.

Note: Deleting/voiding bills that were already submitted will not change status from “Submitted”. Requires ENERGY STAR Submissions Run permission.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
submissionBeginPeriod Beginning submission period in YYYYMM format integer (int32) Required
submissionEndPeriod Ending submission period in YYYYMM format; set equal to begin period for a single period integer (int32) Required
filter Optional filter to narrow the list of places returned string (string) Optional

Filters

Filter Description Type Operators
organizationId Integer equals
organizationInfo Place Group Name String equals
placeID Integer equals not equals less than between one of greater than less than equal greater than equal not one of

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

EnergyStarPlaceSubmissionStatusResponse
Property Description Type
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place name string
placeSize PlaceSizeChild
PlaceSizeChild properties
Property Description Type
beginDate The effective start date for this place size record string (date-time)
endDate The effective end date for this place size record string (date-time)
placeSizeId The identifier for this PlaceSize record integer (int32)
unitCode The code for the unit this place size is measured in Must be between 0 and 16 characters Must be between 0 and 16 characters string
unitId The identifier for the unit this place size is measured in integer (int32)
unitInfo The name of the unit this place size is measured in Must be between 0 and 32 characters Must be between 0 and 32 characters string
value The value of the current place size record number (double)
placeSubmissionStatus The list of submission periods and the submission status for each period EnergyStarPlaceSubmissionStatusChild[]
EnergyStarPlaceSubmissionStatusChild properties
Property Description Type
submissionPeriod The submission period integer (int32)
submissionPeriodDisplayName The submission period display name. Only populated if the submission period has a custom name. string
submissionStatus

The submission status:

Submitted  - submission has been made for this place and submission period
Incomplete - no submission has been made for this place and submission period, and current billing data is incomplete
Ready      - no submission has been made for this place and submission period, and current billing data is complete
string
placeSubmissionType SubmissionTypeResponse
SubmissionTypeResponse properties
Property Description Type
submissionTypeId The identifier for the submission type integer (int32)
submissionTypeName The name of the submission type string
Example Response application/json
[
  {    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "placeSize": {      "beginDate": "2026-06-29",      "endDate": "2026-06-29",      "placeSizeId": 1,      "unitCode": "string",      "unitId": 1,      "unitInfo": "string",      "value": 1.0
    },    "placeSubmissionStatus": [
      {      "submissionPeriod": 1,      "submissionPeriodDisplayName": "string",      "submissionStatus": "string"
    }
    ],    "placeSubmissionType": {      "submissionTypeId": 1,      "submissionTypeName": "string"
    }
  }
]